<?php

declare(strict_types=1);

namespace Drupal\opc\Contract;

/**
 * An interface for service that decorate global opcache functions.
 */
interface OpcacheInterface {

  /**
   * Get status information about the cache.
   *
   * @see \opcache_get_status()
   */
  public function getStatus(): array|false;

  /**
   * Resets the contents of the opcode cache.
   *
   * @see \opcache_reset()
   */
  public function reset(): bool;

}
