<?php

declare(strict_types=1);

namespace Drupal\opc\Controller;

use Drupal\Core\DependencyInjection\ContainerInjectionInterface;
use Drupal\opc\Contract\OpcacheInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Displays opcache status.
 */
final readonly class OpcacheStatus implements ContainerInjectionInterface {

  /**
   * {@selfdoc}
   */
  public function __construct(private OpcacheInterface $opcache) {}

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container): self {
    return new self($container->get('opc.opcache'));
  }

  /**
   * Builds the response.
   */
  public function __invoke(): array {
    return [
      '#theme' => 'opcache_status',
      '#status' => $this->opcache->getStatus(),
      '#attached' => ['library' => ['opc/opcache_status']],
    ];
  }

}
