<?php

declare(strict_types=1);

namespace Drupal\opc;

use Drupal\opc\Contract\OpcacheInterface;

/**
 * A wrapper for opcache functions to ease mocking.
 */
final readonly class Opcache implements OpcacheInterface {

  /**
   * {@inheritdoc}
   */
  public function getStatus(): array|false {
    return \opcache_get_status();
  }

  /**
   * {@inheritdoc}
   */
  public function reset(): bool {
    return \opcache_reset();
  }

}
